using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace ISET2018_WPF
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnClic_Click(object sender, RoutedEventArgs e)
        {
            DoubleAnimation da = new DoubleAnimation(1, 0, new Duration(TimeSpan.FromSeconds(2)));
            da.AutoReverse = true;
            btnClic.BeginAnimation(Button.OpacityProperty, da);
            MessageBox.Show("!!HELLO WORLD!!");
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            DoubleAnimation da = new DoubleAnimation(0, -360, new Duration(TimeSpan.FromSeconds(3)));
            da.RepeatBehavior = RepeatBehavior.Forever;
            ImgYeti.RenderTransform.BeginAnimation(RotateTransform.AngleProperty, da);
        }

        private void btnSsBouton_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Click sur " + ((Button)sender).Name);
        }

        private void lbQualite_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ListBoxItem lb = (ListBoxItem)((ListBox)sender).SelectedItem;
            MessageBox.Show(lb.Content.ToString());
        }

        private void btnFen_Click(object sender, RoutedEventArgs e)
        {
            Button btn = (Button)sender;
            Window w = new Window();
            w.Name = "fake";
            w.Close();
            switch(btn.Name)
            {
                case "btnFen1":
                    w = new Fen1();
                    break;
                case "btnFen2":
                    w = new Fen2();
                    break;
                case "btnFen3":
                    w = new Fen3();
                    break;
            }
            w.ShowDialog();

        }
    }
}
